<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui">
    <h:head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

        <title>Usuarios</title>
    </h:head>
    <body>
        <ui:composition template="./main.xhtml">
            <ui:define name="content">

                <p:panel header="Usuario" style="margin-bottom:10px"> 

                    <!-- / Formulario Usuario -->
                    <h:form id="formUsuario">
                        <p:growl id="msj" />
                        <h:panelGrid columns="4" cellpadding="2" cellspacing="2"> 
                            <h:outputText value="Tipo de Usuario" style="margin-right:5px;" />
                            <p:inputText value="ingresar1" />
                            <h:outputText value="Nombre" style="margin-right:5px;" />
                            <p:inputText value="ingresar2" />
                            <h:outputText value="Usuario" style="margin-right:5px;" />
                            <p:inputText value="ingresar3" />
                            <h:outputText value="Contraseña" style="margin-right:5px;" />
                            <p:inputText value="ingresar3" />
                            <h:outputText value="Correo" style="margin-right:5px;" />
                            <p:inputText value="ingresar3" />
                            <p:outputLabel for="fechaIngreso" value="Fecha de Ingreso"/>
                            <p:calendar id="fechaIngreso" value="#" locale="es" pattern="dd-MM-yyyy HH:mm"/>

                            <h:outputText value="Estado" style="margin-right:5px;" />
                            <p:inputText value="ingresar3" />
                        </h:panelGrid>
                        <h:panelGrid columns="2" cellpadding="2" cellspacing="2">
                            <p:commandButton style="top:6px" icon="pi pi-save" rendered="#" value="Registrar" actionListener="#" update=":tablaUsuario,formUsuario,:formUsuario"/>
                            <p:commandButton style="top:6px" icon="pi pi-list" value="Ver Detalles" actionListener="#"  onclick="PF('tablaUs').show();"/>
                            <p:commandButton icon="pi pi-times"   rendered="#" value="Cancelar" actionListener="#" update=":tablaUsuario,formUsuario,:formUsuario:msj"/>
                            <p:commandButton icon="pi pi-refresh" rendered="#" value="Actualizar" actionListener="#" update=":tablaUsuario,formUsuario,:formUsuario:msj"/>
                        </h:panelGrid>
                    </h:form>    

                </p:panel>


                <!-- / Tabla Usuario -->

                <p:dialog header="Detalles" widgetVar="tablaUs">
                    <h:form> 
                        <h:panelGrid columns="4" cellpadding="2" cellspacing="2" >
                            <h:outputText value="Buscar por nombre" style="margin:10px;" />
                            <p:inputText value="#"  style="margin:10px;" />
                            <p:commandButton icon="pi pi-search" value="Buscar" actionListener="#" update=":tablaUsuario"/>
                        </h:panelGrid>
                    </h:form>

                    <h:form id="tablaUsuario"  class="dosColumnas">
                        <p:dataTable value="#" var="ver" id="data" reflow="true" paginator="true" rows="5">
                            <p:column headerText="Nombre">
                                <h:outputText value="#"></h:outputText>
                            </p:column>
                            <p:column headerText="Tipo Usuario">
                                <h:outputText value="#"></h:outputText>
                            </p:column>
                            <p:column headerText="Usuario">
                                <h:outputText value="#"></h:outputText>
                            </p:column>
                            <p:column headerText="Contraseña">
                                <h:outputText value="#"></h:outputText>
                            </p:column>
                            <p:column headerText="Correo">
                                <h:outputText value="#"></h:outputText>
                            </p:column>
                            <p:column headerText="Fecha Ingreso">
                                <h:outputText value="#"></h:outputText>
                            </p:column> 
                            <p:column headerText="Estado">
                                <h:outputText value="#"></h:outputText>
                            </p:column> 

                            <p:column headerText="Acciones">
                                <center> 
                                    <p:commandButton style="width: 95px; margin:5px;" icon="pi pi-trash"  value="Eliminar" actionListener="#" update=":tablaUsuario"/>
                                    <p:commandButton  style="width: 95px; margin:5px" icon="pi pi-pencil" value="Editar" actionListener="#" update=":formUsuario"></p:commandButton>
                                </center>
                            </p:column>
                        </p:dataTable>
                    </h:form>
                </p:dialog> 



                <script type="text/javascript">
                    PrimeFaces.locales['es'] = {
                        closeText: 'Cerrar',
                        prevText: 'Anterior',
                        nextText: 'Siguiente',
                        monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
                        monthNamesShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
                        dayNames: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
                        dayNamesShort: ['Dom', 'Lun', 'Mar', 'Mie', 'Jue', 'Vie', 'Sab'],
                        dayNamesMin: ['Do', 'Lu', 'Ma', 'Mi', 'Ju', 'Vi', 'Sa'],
                        weekHeader: 'Semana',
                        firstDayOfWeek: 1,
                        isRTL: false,
                        showMonthAfterYear: false,
                        yearSuffix: '',
                        timeOnlyTitle: 'Sólo hora',
                        timeText: 'Tiempo',
                        hourText: 'Hora',
                        minuteText: 'Minuto',
                        secondText: 'Segundo',
                        currentText: 'Fecha actual',
                        ampm: false,
                        month: 'Mes',
                        week: 'Semana',
                        day: 'Día',
                        allDayText: 'Todo el día'
                    };
                </script>       
            </ui:define>
        </ui:composition>
    </body>
</html>
